Issue 38608 - symbol visibility work
Summary: symbol visibility work
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: OOo 1.0.0
Hardware: Other Linux, all
: P2 Trivial (vote)
Target Milestone: OOo 2.0
Assignee: mnicel
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks: 20269
  Show dependency tree
 
Reported: 2004-12-08 04:49 UTC by mnicel
Modified: 2005-03-01 15:56 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description mnicel 2004-12-08 04:49:00 UTC
Symbol visibility markup for performance improvement:
Issue for tracking libraries - comphelper, ucbhelper
Comment 1 matthias.huetsch 2004-12-08 19:23:13 UTC
Adding dependency to issue 20269 (startup performance)...
Comment 2 mnicel 2005-01-05 06:22:45 UTC
comphelper and ucbhelper modules are completed with symbol markup and committed
to visibility02.
Comment 3 matthias.huetsch 2005-02-02 13:43:38 UTC
Hi Nicel,

Module comphelper needed a couple more changes, but now I have completed builds
on linux/intel, solaris/sparc and windows, and all 3 do pass the smoketest.

I'm therefore resolving this issue as 'fixed'.

Matthias
Comment 4 matthias.huetsch 2005-02-02 13:48:47 UTC
Hi Nicel,

Can you (as the owner of cws 'visibility02') please mark that cws as "Ready for
QA"? I'll then organize some basic automated testing, and take care of the
integration.

Thanks,
Matthias

P.S.: As this is a developer task, marking as verifed myself => verified.
Comment 5 mmeeks 2005-02-02 17:30:16 UTC
nicel is sick today unfortunately; hopefully he'll be well again tomorrow -
otherwise ... [ it'd be a nice feature to have members able to change CWS
attributes as well as owners ;-].
Comment 6 matthias.huetsch 2005-02-02 18:26:50 UTC
Hi Michael,

Okay, I'll wait for Nicel to recover, and wish him all the best.

[And yes, I also often think that the restriction of power over a cws to the
owner alone is not the best possible model.]

Matthias
Comment 7 matthias.huetsch 2005-03-01 15:56:04 UTC
Integrated into milestone 680 m80 => closing...